<?xml version='1.0' encoding='UTF-8'?>
<ROWSET tableName='xxx'>
<EXEC_SQL>
CREATE OR REPLACE FUNCTION RPAD2(
	XTEXT       IN VARCHAR2 ,
	XLEN        IN NUMBER   ,
	XVAL        IN VARCHAR2 := ' ' )
RETURN VARCHAR2
AS
BEGIN
	RETURN SUBSTRB( RPAD( XTEXT,XLEN,XVAL ) , 1, XLEN ) ;
END RPAD2;
</EXEC_SQL>
</ROWSET>
